# Jelenlegi működés:

## ASP Csekk művelet (AddAspCsekkOperation):
1. CsekkConfig.layout config alapján CsekkLayout config betöltése.
1. CsekkOnPdf inicializálása a betöltött layout-tal.
1. Csekk adatok betöltés a miner-ral.
1. Új oldal hozzáadása.
	
### CsekkData összeállítása:	
1. TC kód a layoutból jön!!! csekkData.setTCKod
1. Mutató, határidő 
	1. a miner által kigyűjtött csekk adatból jön
	1. a nyomtatása ki/be a csekk layout configból jön
	1. a két adat együtt jelenik meg a közlemény rovatban + asp.csekkadat.kozlemeny
1. Közlemény, jogcím
	1. "Mutató / határidő"  együtt jelenik meg a rovatban + asp.csekkadat.kozlemeny
1. Befizetési határidő, befizető azonosító, számla kelte
	1. a miner által kigyűjtött csekk adatból jön
1. Számlaszám config betöltése a miner altal kigyűjtött számlaszám alapján.
1. Cím: a "cimzes" mező (snippet) alapján.
1. CsekkOnPdf.putOnPage (CsekkData) meghívása:
		
## Általános csekk művelet (AddCsekkOperation):
1. Csekk layout config betöltése az operation configban kiválasztott alapján.
1. TC kód a layout configból jön.
1. CsekkOnPdf inicializálása a layout configgal.
1. Befizető azonosító snippet: "csekk.befizetoazonosito"
1. Közlemény snippet: "csekk.kozlemeny"
1. Számlaszám config betöltése a config ablakban kiválasztott config név alapján.
1. Számlaszám config betöltésa a csekk.szamlaszam snippet alapján, ha van.
1. Számlanév snippet: "csekk.szamla.nev", ha nincs akkor a szamlaszamconfig alapján.
1. Számlatulajdonos neve snippet: "csekk.szamla.tulajdonos", ha nincs akkor a szamlaszamconfig alapján.
1. Számlaazonosító snippet: "csekk.azonosito", ha nincs akkor a szamlaszamconfig alapján.
1. Számla kelte snippet: "csekk.szamla_kelte" vagy üres string. 
1. Befizetési haáridő snippet: "csekk.fizetesi_hatarido", vagy üres string.
1. Befizető neve snippet: "csekk.befizeto_neve"
1. Befizető település snippet: "csekk.befizeto_telepules"
1. Befizető címe snippet: "csekk.befizeto_cim"
1. Befizető irsz snippet: "csekk.befizeto_irsz"
1. Jogcím: "csekk.jogcim"
1. CsekkOnPdf.putOnPage (CsekkData) meghívása
	
## CsekkOnPdf.putOnPage (CsekkData) meghívása:
1. Összeg, összeg betűvel nyomtatása layoutconfig.getPrintOsszeg() alapján
1. Mentességi jelzés: CsekkData.getSzamlaszamConfig().getMentesseg()
1. Számlatulajdonos számlaszáma, neve, számlaszáma 
	1. CsekkData.szamlaszamconfig alapján
	1. nyomtatás kikapcsolása, ha a CsekkData.tcKod = CsekkData.TCKod.TC_54		
1. OCR sávok nyomtatása CsekkData.szamlaszamconfig.getPrintOcr alapján
1. TC, OC, gyártó kód a CsekkData.szamlaszamconfig alapján
1. QR kód nyomtatása, ha a layoutconfig.printQRCode mező alapján.
	
# Új működés (követelmények):
1. TC, OC páronként lehessen configban definiálni, hogy a layout melyik eleme kerül **nyomtatásra** és melyik nem. Alapban
ez alapján történjen a nyomtattandó elemek meghatározása, de a csekk configban lehessen ezekt felülbírálni:
	1. összeg
	1. összeg betűvel
	1. OCR sávok
	1. QR kód
	1. befizető azonosító 	
1. Layout configban csak a pozíciók legyen benne.
1. A csekk configban lehessen választani, hogy bizonyos adatok **honnan jönnek**:  
	1. számlaszám configból
	1. dokumentum mezőből (snippet name)
	1. csekk configban beállított értékből  
1. Ezek az adaok a következők lehetnek:
	1. TC kód
	1. OC kód
	1. Gyártó kód
	1. szamlaszam
	1. szamlaNev
	1. tulajdonosNev
	1. nyilatkozott (IEGN/NEM)
	1. mentesseg (betűjel)	


## Számlaszám config tartalmazza a következőket:
`<szamla name="Államigazgatási illeték beszedési számla" active="true">`

1. TC kód
1. OC kód
1. szamlaszam
1. szamlaNev
1. tulajdonosNev
1. tcKod
1. outputKod
1. gyartoKod
1. nyilatkozott (IEGN/NEM)
1. mentesseg (betűjel)

## Csekk művelet config tartalmazza a következőket:


cmbTc.setItemCaption("51", "51 = Teljesen kitöltött készpénzátutalási megbízás");
cmbTc.setItemCaption("52", "52 = Az OCR-sávból az \"összeg\" adat hiányzik");
cmbTc.setItemCaption("53", "53 = Az OCR-sávból a \"Megbízóazonosító (Befizetőazonosító)\" adat hiányzik");
cmbTc.setItemCaption("54", "54 = Az OCR-sávból mind az \"összeg\", mind a \"Megbízóazonosító (Befizetőazonosító)\" hiányzik (kézzel kitölthető)");
cmbTc.setItemCaption("55", "55 = Az \"összeg\" és a \"Megbízóazonosító (Befizetőazonosító)” az OCR-sávból hiányzik (nem kitöltött)");
cmbTc.setItemCaption("56", "56 = Utánvételes küldeményhez, amely értelmezésben megegyezik az 51-es kóddal");
cmbTc.setItemCaption("57", "57 = Utánvételes küldeményhez, amely értelmezésben megegyezik az 54-es kóddal");
cmbTc.setItemCaption("58", "58 = Utánvételes küldeményhez, amely értelmezésben megegyezik az 55-es kóddal");

